from django.test import TestCase
from meleager.models import Text, Passage

class PassageModelTest(TestCase):
    fixtures = ["test_data.json"]

    def test_creating_text_updates_passage_timestamp(self):
        passage = Passage.objects.first()
        updated_at_1 = passage.updated_at
        text = Text.objects.create(text="new text", language_id="eng", unique_id=99999999)
        passage.texts.add(text)
        passage.refresh_from_db()
        self.assertGreater(passage.updated_at, updated_at_1)

    def test_associating_text_updates_passage_timestamp(self):
        passage = Passage.objects.first()
        updated_at_1 = passage.updated_at
        text = Text.objects.create(text="new text", language_id="eng", unique_id=9999999)
        text.passages.add(passage)
        passage.refresh_from_db()
        self.assertGreater(passage.updated_at, updated_at_1)
