from django.conf import settings
from django.contrib.auth import get_user_model
from rest_framework import serializers
from rest_framework.relations import StringRelatedField


class UserSerializer(serializers.HyperlinkedModelSerializer):
    username = serializers.StringRelatedField()
    groups = serializers.StringRelatedField(many=True)

    class Meta:
        model = get_user_model()
        fields = ["username", "groups"]
