from django.views.generic import DetailView
from django.contrib.auth.views import LoginView as DLoginView
from django.contrib.auth.views import LogoutView as DLogoutView
from django.contrib.auth.views import PasswordResetView as DPwdResetView
from django.contrib.auth import get_user_model


class LoginView(DLoginView):
    template_name = "registration/login.html"


class LogoutView(DLogoutView):
    pass


class PasswordResetView(DPwdResetView):
    template_name = "registration/password_reset.html"


class ProfileView(DetailView):
    template_name = "user/profile.html"
    model = get_user_model()

    def get_object(self):
        user = self.request.user
        return user
