from django.test import TestCase
from meleager.models import Book, Keyword, Language, Name, Passage


class KeywordTest(TestCase):
    fixtures = ["test_data.json"]

    @classmethod
    def setUpTestData(cls):
        book = Book.objects.first()
        cls.passage = Passage.objects.get(book=book, fragment=12)
        cls.keyword = Keyword.objects.create()
        fra = Language.objects.get(code="fra")
        name = Name.objects.create(name="Test KW", language=fra)
        cls.keyword.names.add(name)
        cls.passage.keywords.add(cls.keyword)

    def test_keywords_page_ok(self):
        resp = self.client.get("/keywords/")
        self.assertEqual(resp.status_code, 200)
        self.assertContains(resp, "Test KW")

    def test_keyword_page_ok(self):
        resp = self.client.get("/keywords/1/")
        self.assertEqual(resp.status_code, 200)
        self.assertContains(resp, "Test KW")
