from django.urls import path

from ..views.comments import (PassageCommentCreate, PassageCommentDelete,
                              PassageCommentUpdate, ScholiumCommentCreate,
                              ScholiumCommentDelete, ScholiumCommentUpdate)

urlpatterns = [
    path(
        "passage/<int:passage_pk>/create/",
        PassageCommentCreate.as_view(),
        name="passage-comment-create",
    ),
    path(
        "passage/<int:passage_pk>/<int:comment_pk>/update/",
        PassageCommentUpdate.as_view(),
        name="passage-comment-update",
    ),
    path(
        "passage/<int:passage_pk>/<int:comment_pk>/delete/",
        PassageCommentDelete.as_view(),
        name="passage-comment-delete",
    ),
    path(
        "scholium/<int:scholium_pk>/create/",
        ScholiumCommentCreate.as_view(),
        name="scholium-comment-create",
    ),
    path(
        "scholium/<int:scholium_pk>/<int:comment_pk>/update/",
        ScholiumCommentUpdate.as_view(),
        name="scholium-comment-update",
    ),
    path(
        "scholium/<int:scholium_pk>/<int:comment_pk>/delete/",
        ScholiumCommentDelete.as_view(),
        name="scholium-comment-delete",
    ),
]
