from django.views import generic

from meleager.models import Description
from web.forms.passage_description import DescriptionCreateForm

from . import AddContentPermReqMixin


class DescriptionCreateMixin(
    AddContentPermReqMixin, generic.detail.SingleObjectMixin, generic.FormView
):
    form_class = DescriptionCreateForm
    template_name = "web/description/description_create.html"

    @staticmethod
    def create_object_from_form(form):
        return Description.objects.create(
            description=form.cleaned_data["description"],
            language=form.cleaned_data["language"],
        )

    def create_associate_from_form(self, form):
        passage = self.get_object()
        obj = self.create_object_from_form(form)
        passage.descriptions.add(obj)

        return obj
